package com.bankaudit.rest.process.service;

import java.util.List;
import java.util.Map;

import com.bankaudit.process.model.IfcEnsureBaasData;
import com.bankaudit.process.model.IfcRatingData;

public interface InterfaceParameterService {
	
 	List<IfcEnsureBaasData> getLatestParametersByAuditId(int legalEntityCode, String auditId, String unitId);
	
	Map<String, String> getProfileDetailsByAuditId(int legalEntityCode, String auditId, String unitId);
	
	Map<String, String> getDliDpiDetailsByAuditId(int legalEntityCode, String auditId, String unitId);
	 	
	List<IfcRatingData> getInputValuesByAuditId(int legalEntityCode, String auditId);
  
}
